Subject: [GIT PULL] clockevents/clocksource: Add Marvell Orion SoC timer

From: [email-masked] (Daniel Lezcano)
Date: Tue, 16 Jul 2013 17:55:41 +0200

On 07/08/2013 10:45 AM, Thomas Gleixner wrote:
> On Sun, 7 Jul 2013, Jason Cooper wrote:
>> On Sun, Jul 07, 2013 at 05:30:31PM +0200, Thomas Gleixner wrote:
>> I don't mind delaying half of a series so the drivers/ portion can land
>> in mainline, and the rest can land in the next cycle.  But when things
>> don't go according to that plan, I'd like a little consideration /
>> flexibility about solving the problem.  Especially considering I'm
>> *trying* to do the right thing by pushing to appropriate maintainers
>> first.
>>
>> Of course, this is a moot point since, as you clarified above, this
>> dependency doesn't have the hazards typically associated with
>> out-of-tree dependencies.
> 
> There is a very simple procedure for stuff like this.
> 
> Series has parts which go through tree A and B and another larger part
> for tree C which depends on the A and B parts.
> 
> So ask the maintainers of A and B to apply this to separate branches,
> which are based on some commit in Linus tree. These branches can be
> pulled into C and C can apply the depending stuff on top.
> 
> Now the maintainers of A and B merge these branches into their main
> devel branch, can do further fixups and stuff on top. And the whole
> thing just works without glitches during the merge window.
> 
> We do this all the time.

Ok, I was about to send to both of you a PR with a common ancestor [1]
for this patch but finally this patch has been taken for timers/urgent.

I don't have to send the PR, right ?

timers/urgent will be merged into timers/core, correct ?

Thanks
  -- Daniel

[1]
https://git.linaro.org/gitweb?p=people/dlezcano/clockevents.git;a=shortlog;h=refs/heads/timers/mvebu-deps-3.12

-- 
 <http://www.linaro.org/> Linaro.org ? Open source software for ARM SoCs

Follow Linaro:  <http://www.facebook.com/pages/Linaro> Facebook |
<http://twitter.com/#!/linaroorg> Twitter |
<http://www.linaro.org/linaro-blog/> Blog